%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%global __provides_exclude perl\\(DebugTexinfo|perl\\(Texinfo|perl\\(Text::Unidecode|perl\\(Unicode
%global __requires_exclude perl\\(DebugTexinfo|perl\\(Texinfo|perl\\(Text::Unidecode|perl\\(Unicode

Name:		texinfo
Version:	6.1
Release:	%mkrel 1
Summary:	Tools needed to create Texinfo format documentation files
License:	GPLv3
Group:		Publishing
URL:		http://www.texinfo.org/
Source0:	ftp://ftp.gnu.org/pub/gnu/texinfo/%{name}-%{version}.tar.xz
Source1:	info-dir
Patch107:	texinfo-6.0-vikeys-segfault-fix.patch
Patch200:	texinfo-4.13-mb_modeline.patch
# Fedora zlib patch
Patch300:	texinfo-4.12-zlib.patch
Patch301:	texinfo-6.0-disable-failing-info-test.patch
Patch302:	texinfo-6.1-texi2dvi-fix.patch

# (anssi 01/2008) for make check:
%if %bootstrap == 0
BuildRequires:	tetex
BuildRequires:	tetex-latex
BuildRequires:	xmltex
%endif
BuildRequires:	ncurses-devel
BuildRequires:	zlib-devel
BuildRequires:	help2man
Requires(pre):	info-install
Requires(preun):	info-install
# conflict necessary for upgrade (version is when makfile symlink and texi2any is moved)
Conflicts:	texinfo-tex < 5.1-4
Conflicts:	xemacs < 21.4.22-23

%description
Texinfo is a documentation system that can produce both online information
and printed output from a single source file.  Normally, you'd have to
write two separate documents: one for online help or other online
information and the other for a typeset manual or other printed work.
Using Texinfo, you only need to write one source document.  Then when the
work needs revision, you only have to revise one source document.  The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you are
going to write documentation for the GNU Project.

%package -n info
Summary:	A stand-alone TTY-based reader for GNU texinfo documentation
Group:		System/Base
Requires(pre):	info-install
Requires(preun):	info-install

%description -n	info
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based browser
program for viewing texinfo files.

You should install info, because GNU's texinfo documentation is a valuable
source of information about the software on your system.

%package -n info-install
Summary:	Program to update the GNU texinfo documentation main page
Group:		System/Base
Requires:	xz
# explicit file provides
Provides:	/sbin/install-info
Conflicts:	dpkg < 1.16.8-6

%description -n	info-install
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based browser
program for viewing texinfo files.

%package tex
Summary:	Tools for formatting Texinfo documentation files using TeX
Group:	Publishing
Requires:	texinfo = %{version}-%{release}
Requires:	texmf-data
Requires:	texlive
Requires(post):	texlive
Requires(postun):	texlive
# conflict necessary for upgrade (version is when makfile symlink and texi2any is moved)
Conflicts:	texinfo < 5.1-4

%description tex
Texinfo is a documentation system that can produce both online
information and printed output from a single source file. The GNU
Project uses the Texinfo file format for most of its documentation.

The texinfo-tex package provides tools to format Texinfo documents
for printing using TeX.

%prep
%setup -qn %name-%{version}
%patch107 -p1
#patch200 -p1 -b .mb_modeline
%patch300 -p1
%patch301 -p1
%patch302 -p1

%build
%configure2_5x \
	--disable-rpath

%make
rm -f util/install-info
%make -C util LIBS=%{_libdir}/libz.a

%check
# all tests must pass
# (tmb) incompatible with perl-5.18
# make check

%install
%makeinstall_std
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/info-dir
rm -rf %{buildroot}%{_infodir}/dir
ln -s %{_sysconfdir}/info-dir %{buildroot}%{_infodir}/dir
mkdir -p %{buildroot}/sbin
mv %{buildroot}%{_bindir}/install-info %{buildroot}/sbin/install-info
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmconfig

# Doc install for the tex subpackage (from Fedora)
mkdir -p %{buildroot}%{_datadir}/texmf/tex/texinfo
install -p -m644 doc/texinfo.tex doc/txi-??.tex %{buildroot}%{_datadir}/texmf/tex/texinfo

%find_lang %{name}
%find_lang %{name}_document

%post
%_install_info %{name}

%preun
%_remove_install_info %{name}

%files -f %{name}.lang -f %{name}_document.lang
%doc AUTHORS NEWS README TODO
%{_bindir}/makeinfo
%{_bindir}/texi2any
%{_infodir}/info-stnd.info*
%{_infodir}/texinfo*
%{_mandir}/man1/makeinfo.1*
%{_mandir}/man1/texi2any.1*
%{_mandir}/man5/texinfo.5*
%{_datadir}/texinfo

%files -n info
%{_bindir}/info

%files -n info-install
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/info-dir
%{_infodir}/dir
/sbin/install-info
%{_mandir}/man1/info.1*
%{_mandir}/man1/install-info.1*
%{_mandir}/man5/info.5*

%files tex
%{_bindir}/texindex
%{_bindir}/texi2dvi
%{_bindir}/texi2pdf
%{_bindir}/pdftexi2dvi
%{_bindir}/pod2texi
%{_datadir}/texmf/tex/texinfo
%{_mandir}/man1/texindex.1*
%{_mandir}/man1/texi2dvi.1*
%{_mandir}/man1/texi2pdf.1*
%{_mandir}/man1/pod2texi.1*
%{_mandir}/man1/pdftexi2dvi.1*


%changelog
* Mon May 09 2016 luigiwalser <luigiwalser> 6.1-1.mga6
+ Revision: 1011632
- 6.1
- sync patches with fedora

* Fri Jan 01 2016 luigiwalser <luigiwalser> 6.0-1.mga6
+ Revision: 917651
- 6.0
- rediff patch 107
- disable patch 200 for now (needs to be rewritten)
- resync patch 300 (zlib patch) from fedora
- add patch 301 (disable failing test) from fedora
- infokey command is no more

* Sun Jul 05 2015 sander85 <sander85> 5.2-8.mga6
+ Revision: 851072
- Add more req/prov excludes

* Wed Oct 15 2014 umeabot <umeabot> 5.2-7.mga5
+ Revision: 750759
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Feb 14 2014 oden <oden> 5.2-5.mga5
+ Revision: 591062
- fix deps

* Thu Feb 13 2014 jquelin <jquelin> 5.2-4.mga5
+ Revision: 590693
- do not provide perl(xxx) in rpm (not a perl module to be used outside texinfo)

* Mon Oct 21 2013 umeabot <umeabot> 5.2-3.mga4
+ Revision: 538228
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 fwang <fwang> 5.2-2.mga4
+ Revision: 489028
- add conflicts to ease upgrade

* Fri Sep 27 2013 fwang <fwang> 5.2-1.mga4
+ Revision: 487507
- new version 5.2

* Fri Aug 02 2013 tmb <tmb> 5.1-5.mga4
+ Revision: 462647
- update conflicts for makefile and texi2any file move

* Fri Aug 02 2013 malo <malo> 5.1-4.mga4
+ Revision: 462491
- move texi2any and makeinfo back to the main package

* Thu Aug 01 2013 malo <malo> 5.1-3.mga4
+ Revision: 462387
- fix makeinfo man page

* Sun Jul 28 2013 tmb <tmb> 5.1-2.mga4
+ Revision: 459649
- disable testsuite as its incompatible with perl-5.18
- makeinfo symlink belongs in -tex subpackage as it points to texi2any

* Thu Jul 25 2013 malo <malo> 5.1-1.mga4
+ Revision: 458095
- add BuildRequires xmltex for one test to pass
- update to 5.1 (William Murphy)
- update patch list

* Fri May 17 2013 tmb <tmb> 4.13a-10.mga3
+ Revision: 413508
- fix dpkg conflict

* Fri May 17 2013 malo <malo> 4.13a-9.mga3
+ Revision: 413491
- add conflict with dpkg to fix upgrade (mga#10132

* Wed Jan 23 2013 pterjan <pterjan> 4.13a-8.mga3
+ Revision: 391614
- Real fix for the file dependency, it was actually manually added

* Mon Jan 21 2013 pterjan <pterjan> 4.13a-7.mga3
+ Revision: 390631
- BuildRequires texlive to avoid file dependency on /usr/bin/texconfig-sys

* Mon Jan 21 2013 malo <malo> 4.13a-6.mga3
+ Revision: 390457
- fix file list

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 malo <malo> 4.13a-5.mga3
+ Revision: 258678
- adding conflict for upgrade

* Sat Jun 09 2012 malo <malo> 4.13a-4.mga3
+ Revision: 258671
- spec clean-up
- fix license to GPLv3
- split texinfo to create a texinfo-tex subpackage not to require texlive by
  default (mga# 5940)
- add upstream/Gentoo patch to fix make test (accent encoding)

* Mon Aug 15 2011 wally <wally> 4.13a-3.mga2
+ Revision: 133434
- add chunks (from Gentoo) to xz patch to handle install-info --remove
  correctly with xz compressed files

* Tue Jan 11 2011 ahmad <ahmad> 4.13a-2.mga1
+ Revision: 6305
- imported package texinfo

